#ifndef XFXELEMDEFVISUALS_H
#define XFXELEMDEFVISUALS_H

#include "xasset.h"
#include "xfxelemmarkvisuals.h"
#include "xfxelemvisuals.h"

class XFxElemDefVisuals : public XAsset
{
public:
    explicit XFxElemDefVisuals();
    ~XFxElemDefVisuals();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    qint32 mMarkArrayPtr;
    QVector<XFxElemMarkVisuals> mMarkArray;

    qint32 mArrayPtr;
    QVector<XFxElemVisuals> mArray;

    XFxElemVisuals mInstance;
};

#endif // XFXELEMDEFVISUALS_H
